@import 'variables';
@import 'theme';

body {

    background: #f2f2f2;

    overflow-x: hidden;

    font-family: 'Poppins', sans-serif;

    p {
        line-height: 1.8em;
    }

    p, a {
        font-size: 14px;
    }

    .ls-2 {
        letter-spacing: 0.2em;
    }

    .navbar {
        .navbar-brand {
            img {
                @media screen and (max-width: 576px) {
                    width: 50px;
                }
            }
        }
        .account {
            .user-img {
                display: flex;
                justify-content: center;
                align-items: center;
                height: 36px;
                width: 36px;
                color: white;
                background: $color-primary;
                border-radius: 36px;
                overflow: hidden;
                h4 {
                    font-size: 1.4em;
                }
                img {
                    height: 100%;
                    width: 100%;
                }
            }
            .user-name {
                font-size: 1em;
            }
            @media screen and (max-width: 576px) {
                .user-img {
                    height: 24px;
                    width: 24px;
                    h4 {
                        line-height: 1em;
                    }
                }
                .user-name {
                    text-overflow: ellipsis;
                    max-width: 50px;
                    overflow: hidden;
                    white-space: nowrap;
                    margin-bottom: 0!important;
                }
            }
        }
        .nav-cart {
            .wrapper {
                position: relative;
                .fa-shopping-cart {
                    font-size: 1.2em!important;
                }
                .badge {
                    position: absolute;
                    top: -7px;
                    right: -7px;
                    display: flex;
                    justify-content: center;
                    align-items: center;
                    border-radius: 10px;
                    min-width: 14px;
                    padding: 3px;
                    font-size: 0.6em;
                }
            }
        }
        .cus-dropdown-menu {
            @media screen and (max-width: 991px) {
                position: absolute;
            }
        }
        @media screen and (max-width: 576px) {
            .navbar-toggler-icon {
                font-size: 1rem!important;
            }
        }
    }

    section, footer {
        overflow-x: clip;
        max-width: 1368px;
        margin-left: auto;
        margin-right: auto;
    }

    section {
        min-height: 200px;
    }
    
    
    .main-swiper {
        width: 100%;
        height: 500px;
        .main-slide {
            position: relative;
            z-index: 1;
            .bg-main-slide {
                position: absolute;
                z-index: -1;
                width: 100%;
                height: 100%;
                object-fit: cover;
            }
        }
    }

    .promo-wrapper {
        overflow-y: clip;
        .promo-swiper {
            padding: 40px 20px;
        }
        .promo-card {
            position: relative;
            border: none!important;
            box-shadow: 0 24px 50px -30px rgba(0, 0, 0, 0.3);
            .img {
                height: 240px;
                object-fit: cover;
            }
            .product-title {
                font-size: 1.3em;
            }
            .product-price {
                font-size: .9em;
            }
            .discount-sign {
                color: white;
                text-align: center;
                position: absolute;
                top: 0;
                right: 5%;
                width: 50px;
                padding: 15px 0;
                background: $color-primary;
                .discount {
                    font-size: 16px;
                    margin-bottom: 0;
                    span {
                        font-size: .7em;
                    }
                }
                p {
                    margin: 0;
                }
            }
            @media screen and (max-width: 576px) {
                .img {
                    height: 120px;
                }
                .discount-sign {
                    width: 30px;
                    padding: 5px 0;
                    .discount {
                        font-size: .6rem;
                        margin-bottom: 0;
                        span {
                            font-size: .8em;
                        }
                    }
                    p {
                        margin: 0;
                    }
                }
            }
        }
        .promo-text {
            position: relative;
            z-index: 1;
            h2 {
                font-size: 54px;
            }
            &::after {
                content: "";
                z-index: -1;
                position: absolute;
                right: -20%;
                top: -100%;
                background: $color-primary;
                width: 800px;
                height: 400%;
            }
        }

        .slide-container {
            position: relative;
            .promo-nav-slide {
                position: absolute;
                z-index: 1;
                top: 50%;
                >i {
                    border-radius: 50px;
                    box-shadow: 0 5px 12px -6px rgba(0, 0, 0, 0.5);
                    display: flex;
                    justify-content: center;
                    align-items: center;
                    height: 30px;
                    width: 30px;
                }
                &.promo-slide-prev {
                    left: -5%;
                }
                &.promo-slide-next {
                    right: -5%;
                }
                @media screen and (max-width: 768px) {
                    display: none;
                }
            }
        }
    }

    .count-down {
        >span {
            width: 30px;
            padding: 5px 0;
            display: inline-block;
            border: 1px solid #aaa;
            border-radius: 5px;
            text-align: center;
        }
        @media screen and (max-width: 576px) {
            >span {
                width: 20px;
                padding: 2px 0;
            }
        }
    }

    #choosing-mattress {
        .header {
            display: flex;
            flex-wrap: wrap;
            .side {
                min-height: 400px;
                &.left {
                    position: relative;
                    width: 40%;
                    overflow: hidden;
                    .img-abs {
                        position: absolute;
                        &.img-logo {
                            width: 50%;
                            left: 25%;
                            top: 25%;
                            opacity: .05;
                        }
                        &.img-product {
                            width: 800px;
                            bottom: -100px;
                            left: -500px;
                        }
                    }
                }
                &.right {
                    width: 60%;
                    .img {
                        width: 100%;
                        height: 240px;
                        object-fit: cover;
                    }
                }
                .container {
                    padding: 90px 54px;
                }
                @media screen and (max-width: 991px) {
                    &.left, &.right {
                        width: 100%;
                    }
                }
            }
        }
        .content {
            display: flex;
            flex-wrap: wrap;
            .side {
                &.left {
                    position: relative;
                    width: 40%;
                    overflow: hidden;
                }
                &.right {
                    width: 60%;
                    .container {
                        position: relative;
                        z-index: 1;
                        &::after {
                            content: "";
                            z-index: -1;
                            position: absolute;
                            left: 0;
                            top: 10%;
                            height: 80%;
                            width: 90%;
                            background: linear-gradient(-90deg,$color-primary 50%, transparent 150%);
                        }
                    }
                }
                .container {
                    padding: 90px 54px;
                    @media screen and (max-width: 991px) {
                        padding: 50px 0;
                    }
                }
                @media screen and (max-width: 991px) {
                    &.left, &.right {
                        width: 100%;
                    }
                }
            }
        }
    }

    // #new-products {
        .product-card {
            position: relative;
            border: none!important;
            .img {
                height: 340px;
                object-fit: cover;
            }
            .product-title {
                font-size: 1.3em;
            }
            .product-price {
                font-size: .9em;
            }
            .discount-sign {
                color: white;
                text-align: center;
                position: absolute;
                top: 0;
                right: 5%;
                width: 50px;
                padding: 15px 0;
                background: $color-primary;
                .discount {
                    font-size: 16px;
                    margin-bottom: 0;
                    span {
                        font-size: .7em;
                    }
                }
                p {
                    margin: 0;
                }
            }
            @media screen and (max-width: 576px) {
                .img {
                    height: 170px;
                }
                .discount-sign {
                    width: 30px;
                    padding: 5px 0;
                    .discount {
                        font-size: .6rem;
                        margin-bottom: 0;
                        span {
                            font-size: .8em;
                        }
                    }
                }
            }
        }
    // }

    .review-card {
        border: none;
        background: #eee;
        .header {
            width: 100%;
            margin-bottom: 24px;
            .user-img {
                display: flex;
                justify-content: center;
                align-items: center;
                height: 36px;
                width: 36px;
                color: white;
                background: $color-primary;
                border-radius: 36px;
                overflow: hidden;
                h4 {
                    font-size: 1.4em;
                }
                img {
                    height: 100%;
                    width: 100%;
                }
            }
            .user-text {
                h6 {
                    font-size: 1em;
                }
                .stars {
                    font-size: .7em;
                }
            }
            @media screen and (max-width: 576px) {
                margin-bottom: 6px;
                .user-img {
                    height: 24px;
                    width: 24px;
                    h4 {
                        line-height: 1em;
                    }
                }
                .user-text {
                    h6 {
                        margin-bottom: 0!important;
                    }
                }
            }
        }
        .review-text {}
    }

    #why-choose-us {
        .why-choose-us-text {
            font-size: 36px;
            line-height: 1.6em;
        }
        .why-choose-us-item {
            .title {
                writing-mode: vertical-lr;
                text-orientation: mixed;
                transform: rotate(180deg);
                font-size: 0.9em;
                margin-left: 0.8em;
                margin-right: 0.8em;
            }
            .icon {
                padding: 14px;
                background: lightgray;
                color: $color-primary;
                &.bordered {
                    i {
                        color: transparent;
                        &::before {
                            -webkit-text-stroke: 8px $color-primary;
                        }
                    }
                }
            }
        }
    }

    #about-us {
        .ratings {
            font-size: .8em;
        }
        .client-name {
            font-family: 'Great Vibes', cursive;
        }
    }

    #brands {
        padding: 60px 0;
        padding-bottom: 120px;
        .brands-wrapper {
            .slide-container {
                position: relative;
                z-index: 1;
                .brands-nav-slide {
                    position: absolute;
                    z-index: 1;
                    top: 35%;
                    >i {
                        border-radius: 50px;
                        box-shadow: 0 5px 12px -6px rgba(0, 0, 0, 0.5);
                        display: flex;
                        justify-content: center;
                        align-items: center;
                        height: 30px;
                        width: 30px;
                    }
                    &.brands-slide-prev {
                        left: -4%;
                    }
                    &.brands-slide-next {
                        right: -4%
                    }
                    @media screen and (max-width: 768px) {
                        display: none;
                    }
                }
            }
        }
    }

    #list-blog-home {
        .blog-item {
            .img-wrapper {
                width: 35%;
                .img {
                    object-fit: cover;
                    height: 100%;
                    width: 100%;
                }
            }
            .text-wrapper {
                width: 65%;
                .container {
                    padding: 180px;
                    .description {
                        text-overflow: ellipsis;
                        overflow: hidden;
                        display: -webkit-box;
                        -webkit-line-clamp: 2;
                        -webkit-box-orient: vertical; 
                    }
                    @media screen and (max-width: 991px) {
                        padding: 50px;
                    }
                }
            }
            @media screen and (max-width: 991px) {
                .blog-wrapper {
                    width: 100%;
                }
            }
        }
    }

    #instagram {
        .header {
            .img-wrapper {
                height: 100px;
                width: 100px;
                background: lightgray;
                img {
                    width: 100%;
                }
            }
        }
        .content {
            grid-template-columns: repeat(auto-fit, minmax(240px, 1fr));
            gap: 10px;
            .content-item {
                padding: 10px;
                background: white;
                box-shadow: 0 18px 42px -15px rgba(0, 0, 0, 0.2);
                img {
                    height: 240px;
                    width: 100%;
                    object-fit: cover;
                }
            }
            @media screen and (max-width: 576px) {
                grid-template-columns: repeat(auto-fit, minmax(120px, 1fr));
                .content-item {
                    padding: 5px;
                    img {
                        height: 120px;
                    }
                }
            }
        }
    }

    /*****
    Halaman Product Detail
    *****/

    #main-product {
        .product-detail-thumbs .swiper-slide {
            opacity: .4;
        }

        .product-detail-thumbs .swiper-slide-thumb-active {
            opacity: 1;
        }

        .slide-container {
            position: relative;
            z-index: 1;
            .product-detail-nav-slide {
                position: absolute;
                z-index: 1;
                top: 24%;
                >i {
                    border-radius: 50px;
                    box-shadow: 0 5px 12px -6px rgba(0, 0, 0, 0.5);
                    display: flex;
                    justify-content: center;
                    align-items: center;
                    height: 30px;
                    width: 30px;
                }
                &.product-detail-slide-prev {
                    left: -2%;
                }
                &.product-detail-slide-next {
                    right: -2%;
                }
                @media screen and (max-width: 768px) {
                    display: none;
                }
            }
        }

        .cus-cbox, .cus-radio {
            div{
                label{
                    text-align: center;
                    font-size: .7em;
                    width: 100%;
                    display: inline-block;
                    background-color: #eaeaea;
                    border: 2px solid #eaeaea;
                    color: #333333;
                    white-space: nowrap;
                    -webkit-touch-callout: none;
                    -webkit-user-select: none;
                    -moz-user-select: none;
                    -ms-user-select: none;
                    user-select: none;
                    padding-top: 5px;
                    padding-bottom: 5px;
                    -webkit-tap-highlight-color: transparent;
                    transition: all .2s;
                    cursor: pointer;
                }
                input {
                    &[type="checkbox"] {
                        display: absolute;
                        position: absolute;
                        opacity: 0;
                        &:checked + label {
                            border: 2px solid #1a3ea3;
                            background-color: #1a3ea3;
                            color: #fff;
                            transition: all .2s;
                        }
                
                        &:focus + label {
                            border: 2px solid #1a3ea3;
                        }
                    }
                    &[type="radio"] {
                        display: absolute;
                        position: absolute;
                        opacity: 0;
                        &:checked + label {
                            border: 2px solid #1a3ea3;
                            background-color: #1a3ea3;
                            color: #fff;
                            transition: all .2s;
                        }
                
                        &:focus + label {
                            border: 2px solid #1a3ea3;
                        }
                    }
                }
            }
        }

        .add-product {
            .price {
                del {
                    color: #afafaf;
                }
                @media screen and (max-width: 767px) {
                    background: transparent;
                }
            }
            .btn-add {
                font-size: .8em;
                padding: 10px;
            }
            @media screen and (max-width: 767px) {
                background: white;
                position: fixed;
                bottom: -100%;
                left: 0;
                right: 0;
                z-index: 999;
                box-shadow: 0 -10px 50px -20px rgba(0, 0, 0, 0.3);
                transition: bottom 1s;
            }
        }
    }

    #product-description {
        .description {
        }
        .advantage {
            .left {
                .btn {
                    opacity: 0.4;
                    &.active {
                        opacity: 1;
                    }
                }
                .tab-content {
                    display: flex;
                    min-height: 240px;
                    @media screen and (max-width: 991px) {
                        min-height: unset;
                    }
                }
            }
            .right {
                .img {
                    height: 100%;
                    width: 100%;
                    object-fit: cover;
                }
            }
        }
        .side {
            &.left {
                width: 60%;
            }
            &.right {
                width: 40%;
            }
            .container {
                padding: 90px;
                @media screen and (max-width: 991px) {
                    padding: 42px;
                }
            }
            @media screen and (max-width: 991px) {
                &.left, &.right {
                    width: 100%;
                }
            }
        }
        .adv-table {
            td {
                font-size: 0.9em;
                min-width: fit-content;
            }
        }
    }
    
    .btn-like {
        background: #eaeaea;
        color: #6c757d;
        border-radius: 0;
        &.liked {
            background: #6a8ff5;
            color: #1a3ea3!important;
        }
    }

    /*****
    Halaman Blogs
    *****/

    #main-blog-list {
        .blog-item-card {
            .description, .card-title {
                text-overflow: ellipsis;
                overflow: hidden;
                display: -webkit-box;
                -webkit-line-clamp: 2;
                -webkit-box-orient: vertical;
            }
        }
    }

    #myaccount {
        .sidebar {
            border-right: 1px solid #cfcfcf;
            .user {
                .user-img {
                    display: flex;
                    justify-content: center;
                    align-items: center;
                    height: 100px;
                    width: 100px;
                    color: white;
                    background: $color-primary;
                    border-radius: 100px;
                    overflow: hidden;
                    h4 {
                        font-size: 2.4em;
                    }
                    img {
                        height: 100%;
                        width: 100%;
                    }
                }
                .user-text {
                    h6 {
                        font-size: 1em;
                    }
                    .stars {
                        font-size: .7em;
                    }
                }
                @media screen and (max-width: 576px) {
                    margin-bottom: 6px;
                    .user-img {
                        h4 {
                            line-height: 1em;
                        }
                    }
                    .user-text {
                        h6 {
                            margin-bottom: 0!important;
                        }
                    }
                }
            }
        }
        .content {
            .btn-edit {
                padding: 3px 30px;
                border-width: 2px;
                @media screen and (max-width: 576px) {
                    padding: 0 20px;
                }
            }
        }
    }

    footer {
        z-index: 99;
        a {
            color: white;
            text-decoration: none;
            display: inline-block;
            &:hover {
                color: white;
                text-decoration: underline;
            }
        }
        @media screen and (min-width: 768px) {
            .devider {
                border-right: 1px solid white;
            }
        }
    }
    @media screen and (max-width: 576px) {
        h1 {
            font-size: 1.4em!important;
        }

        h2:not(.display-4), h2 span, h3, h4 {
            font-size: 1.2em!important;
        }

        .m-icon, .btn, .form-group, .form-select, h5, h6 {
            font-size: .7rem!important;
        }

        span {
            font-size: .52rem!important;
        }

        p, a, label, td {
            font-size: .6rem!important;
            line-height: 1.4em;
            margin-bottom: 0.2em;
        }

        hr {
            margin: 0.5em 0;
        }

        .price {
            p:not(.fs-m1) {
                font-size: .8em!important;
                line-height: 1.7em;
            }
        }
    }
}